.details-list {
  > details {
    display: inline-block;
  }

  > details ~ .ellipsis,
  > details[open] ~ .allow-hide {
    display: initial;
  }

  > details[open] ~ .ellipsis,
  > details ~ .allow-hide {
    display: none;
  }
}
